Package ru.bgcrm.event.process

# Class ProcessChangedEvent

java.lang.Object
org.bgerp.event.base.UserEvent
ru.bgcrm.event.process.ProcessChangedEvent

All Implemented Interfaces:
  `Event`

public class ProcessChangedEvent extends UserEvent

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODE_CREATE_FINISHED`
  `static final int`
  `MODE_CREATED`
  `static final int`
  `MODE_CREATED_LINKED`
  `static final int`
  `MODE_DESCRIPTION_ADDED`
  `static final int`
  `MODE_DESCRIPTION_CHANGED`
  `static final int`
  `MODE_EXECUTORS_CHANGED`
  `static final int`
  `MODE_GROUPS_CHANGED`
  `static final int`
  `MODE_PRIORITY_CHANGED`
  `static final int`
  `MODE_STATUS_CHANGED`
  `static final int`
  `MODE_TYPE_CHANGED`

  ### Fields inherited from class org.bgerp.event.base.UserEvent

  `form`

  ### Fields inherited from interface org.bgerp.app.event.iface.Event

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessChangedEvent(DynActionForm form, Process process, int changeMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Process`
  `getProcess()`
  `boolean`
  `isCreated()`
  `boolean`
  `isCreatedLinked()`
  `boolean`
  `isCreateFinished()`
  `boolean`
  `isDescription()`
  `boolean`
  `isDescriptionAdd()`
  `boolean`
  `isExecutors()`
  `boolean`
  `isGroups()`
  `boolean`
  `isPriority()`
  `boolean`
  `isStatus()`
  `boolean`
  `isType()`

  ### Methods inherited from class org.bgerp.event.base.UserEvent

  `getForm, getUser, processing, stopProcessing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODE_CREATED

    public static final int MODE_CREATED
    See Also:
      - Constant Field Values

  - ### MODE_STATUS_CHANGED

    public static final int MODE_STATUS_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_DESCRIPTION_CHANGED

    public static final int MODE_DESCRIPTION_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_EXECUTORS_CHANGED

    public static final int MODE_EXECUTORS_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_PRIORITY_CHANGED

    public static final int MODE_PRIORITY_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_CREATED_LINKED

    public static final int MODE_CREATED_LINKED
    See Also:
      - Constant Field Values

  - ### MODE_GROUPS_CHANGED

    public static final int MODE_GROUPS_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_DESCRIPTION_ADDED

    public static final int MODE_DESCRIPTION_ADDED
    See Also:
      - Constant Field Values

  - ### MODE_TYPE_CHANGED

    public static final int MODE_TYPE_CHANGED
    See Also:
      - Constant Field Values

  - ### MODE_CREATE_FINISHED

    public static final int MODE_CREATE_FINISHED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessChangedEvent

    public ProcessChangedEvent(DynActionForm form, Process process, int changeMode)

- ## Method Details

  - ### getProcess

    public Process getProcess()

  - ### isCreated

    public boolean isCreated()

  - ### isCreatedLinked

    public boolean isCreatedLinked()

  - ### isStatus

    public boolean isStatus()

  - ### isDescription

    public boolean isDescription()

  - ### isDescriptionAdd

    public boolean isDescriptionAdd()

  - ### isGroups

    public boolean isGroups()

  - ### isExecutors

    public boolean isExecutors()

  - ### isPriority

    public boolean isPriority()

  - ### isType

    public boolean isType()

  - ### isCreateFinished

    public boolean isCreateFinished()